## haskell-gtkglext 0.12.1

=== demo/Makefile ===

PROG  = cube
SOURCES = RotatingCube.hs

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

## haskell-gtkglext 0.11.0

=== debian/changelog ===
haskell-gtkglext (0.11.0-2build2) natty; urgency=low

  * Rebuild against new library ABIs

 -- Iain Lane <laney@ubuntu.com>  Wed, 16 Feb 2011 11:43:20 +0000

haskell-gtkglext (0.11.0-2build1) maverick; urgency=low

  * No-change rebuild against new haskell-gtk ABI

 -- Iain Lane <laney@ubuntu.com>  Tue, 05 Oct 2010 10:38:30 +0100

haskell-gtkglext (0.11.0-2) unstable; urgency=low

  * control: Remove -prof package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 08 Jun 2010 20:13:58 -0300

haskell-gtkglext (0.11.0-1) unstable; urgency=low

  * Initial release. (Closes: #583272)

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 26 May 2010 16:48:36 -0300

=== debian/control ===
Source: haskell-gtkglext
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.7)
  , ghc6
#  , ghc6-prof
  , libghc6-mtl-dev
#  , libghc6-mtl-prof
  , libghc6-glib-dev (>= 0.11)
  , libghc6-glib-dev (<< 0.12)
#  , libghc6-glib-prof
  , libghc6-cairo-dev (>= 0.11)
  , libghc6-cairo-dev (<< 0.12)
#  , libghc6-cairo-prof
  , libghc6-pango-dev (>= 0.11)
  , libghc6-pango-dev (<< 0.12)
#  , libghc6-pango-prof
  , libghc6-gtk-dev (>= 0.11)
  , libghc6-gtk-dev (<< 0.12)
#  , libghc6-gtk-prof
  , libgtkglext1-dev
  , gtk2hs-buildtools
Build-Depends-Indep: ghc6-doc
  , libghc6-mtl-doc
  , libghc6-glib-doc
  , libghc6-cairo-doc
  , libghc6-pango-doc
  , libghc6-gtk-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/gtkglext
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-gtkglext
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-gtkglext

Package: libghc6-gtkglext-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libgtkglext1-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the GTK+ OpenGL Extension
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 GtkGLExt provides the GDK objects to support OpenGL rendering in GTK+, and
 GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.

# Package: libghc6-gtkglext-prof
# Architecture: any
# Depends: ${haskell:Depends}
#   , ${misc:Depends}
# Recommends: ${haskell:Recommends}
# Suggests: ${haskell:Suggests}
# Provides: ${haskell:Provides}
# Description: Binding to the GTK+ OpenGL Extension; profiling libraries
#  This package provides a library for the Haskell programming language,
#  compiled for profiling.
#  See http://www.haskell.org/ for more information on Haskell.
#  .
#  GtkGLExt provides the GDK objects to support OpenGL rendering in GTK+, and
#  GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.

Package: libghc6-gtkglext-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the GTK+ OpenGL Extension; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 GtkGLExt provides the GDK objects to support OpenGL rendering in GTK+, and
 GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.

## haskell-gtkglext 0.12.0

=== debian/changelog ===
haskell-gtkglext (0.12.0-1build2) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Nov 2011 08:41:14 +0000

haskell-gtkglext (0.12.0-1build1) oneiric; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 11 Jun 2011 11:47:18 +0100

haskell-gtkglext (0.12.0-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release
  * Reenable profiling package

 -- Joachim Breitner <nomeata@debian.org>  Wed, 13 Apr 2011 14:34:00 +0530

=== debian/control ===
Source: haskell-gtkglext
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.8)
  , ghc
  , ghc-prof
  , libghc-mtl-dev
  , libghc-mtl-prof
  , libghc-glib-dev (>= 0.12)
  , libghc-glib-dev (<< 0.13)
  , libghc-glib-prof
  , libghc-cairo-dev (>= 0.12)
  , libghc-cairo-dev (<< 0.13)
  , libghc-cairo-prof
  , libghc-pango-dev (>= 0.12)
  , libghc-pango-dev (<< 0.13)
  , libghc-pango-prof
  , libghc-gtk-dev (>= 0.12)
  , libghc-gtk-dev (<< 0.13)
  , libghc-gtk-prof
  , libgtkglext1-dev
  , gtk2hs-buildtools
Build-Depends-Indep: ghc-doc
  , libghc-mtl-doc
  , libghc-glib-doc
  , libghc-cairo-doc
  , libghc-pango-doc
  , libghc-gtk-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/gtkglext
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-gtkglext
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-gtkglext

Package: libghc-gtkglext-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libgtkglext1-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the GTK+ OpenGL Extension
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 GtkGLExt provides the GDK objects to support OpenGL rendering in GTK+, and
 GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.

Package: libghc-gtkglext-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the GTK+ OpenGL Extension; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 GtkGLExt provides the GDK objects to support OpenGL rendering in GTK+, and
 GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.

Package: libghc-gtkglext-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the GTK+ OpenGL Extension; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 GtkGLExt provides the GDK objects to support OpenGL rendering in GTK+, and
 GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.

## haskell-gtkglext 0.12.1

=== debian/changelog ===
haskell-gtkglext (0.12.1-4) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:19 +0200

haskell-gtkglext (0.12.1-3) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs
  * It seems we need to depend on libpangox1.0-dev 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 00:08:43 +0200

haskell-gtkglext (0.12.1-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Thu, 18 Oct 2012 10:25:27 +0200

haskell-gtkglext (0.12.1-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 Feb 2012 22:35:35 +0100

=== debian/control ===
Source: haskell-gtkglext
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libghc-glib-dev (>= 0.12)
  , libghc-glib-dev (<< 0.13)
  , libghc-glib-prof
  , libghc-pango-dev (>= 0.12)
  , libghc-pango-dev (<< 0.13)
  , libghc-pango-prof
  , libghc-gtk-dev (>= 0.12)
  , libghc-gtk-dev (<< 0.13)
  , libghc-gtk-prof
  , libgtkglext1-dev
  , libpangox-1.0-dev
  , gtk2hs-buildtools
Build-Depends-Indep: ghc-doc
  , libghc-glib-doc
  , libghc-pango-doc
  , libghc-gtk-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/gtkglext
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-gtkglext
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-gtkglext

Package: libghc-gtkglext-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libgtkglext1-dev
  , libpangox-1.0-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the GTK+ OpenGL Extension${haskell:ShortBlurb}
 GtkGLExt provides the GDK objects to support OpenGL rendering in GTK+, and
 GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.
 .
 ${haskell:Blurb}

Package: libghc-gtkglext-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the GTK+ OpenGL Extension${haskell:ShortBlurb}
 GtkGLExt provides the GDK objects to support OpenGL rendering in GTK+, and
 GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.
 .
 ${haskell:Blurb}

Package: libghc-gtkglext-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the GTK+ OpenGL Extension${haskell:ShortBlurb}
 GtkGLExt provides the GDK objects to support OpenGL rendering in GTK+, and
 GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|gtkglext-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/gtkglext \
    ([\d\.]*\d)/
